%define lib_major 1
%define lib_name  %mklibname %{name} %{lib_major}

Summary:	An image loading and rendering library for X11R6.
Name:		imlib
Version:	1.9.14
Release:	10mdk
License:	LGPL
Group:		System/Libraries
BuildRequires:	gettext
BuildRequires:	gtk+-devel >= 1.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libungif-devel autoconf2.1
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/%{name}-%{version}.tar.bz2
Source1:	imlib-pofiles.tar.bz2
Obsoletes:	Imlib
Provides:	Imlib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.labs.redhat.com/imlib/

Patch0:		imlib-1.9-m4.patch.bz2
Patch1:		imlib-1.9.11-i18n.patch.bz2
Patch2:		imlib-1.9.10-path.patch.bz2
Patch3:		imlib-1.9.14-no-locincpth.patch.bz2
# (fc) 1.9.14-10mdk security fix for CAN-2004-0817
Patch4:		imlib-1.9.14-suse-alt-bound2.patch.bz2

# Comment to Source1 :
# I don't understand why official imlib dropped i18n support ?! all
# hooks are there though, only the po/ directory has been deleted

%description
Imlib is a display depth independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images
and obtaining X Window System drawables.  Imlib provides many simple
manipulation routines which can be used for common operations.  

Install imlib if you need an image loading and rendering library for X11R6.
You may also want to install the imlib-cfgeditor package, which will help
you configure Imlib.

%package -n	%{lib_name}
Summary:	Main library for %{name} 
Group:		System/Libraries
Requires:	%{name}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Includes and other files to develop %{name} applications.
Group:		Development/GNOME and GTK+
Requires:	%{lib_name} = %{version} libjpeg-devel libpng-devel libtiff-devel libungif-devel libgtk+-devel
Provides:	lib%{name}-devel = %{version}
Provides:	imlib-devel = %{version}
Provides:	imlib-devel = %{version}
Obsoletes:	imlib-devel

%description -n	%{lib_name}-devel
The header files, static libraries and documentation needed for
developing Imlib applications.  Imlib is an image loading and rendering
library for X11R6.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the imlib and imlib_cfgeditor packages.

%package	cfgeditor
Summary:	A configuration editor for the Imlib library.
Group:		System/Libraries
Requires:	imlib = %{version}

%description	cfgeditor
The imlib-cfgeditor package contains the imlib_config program, which you
can use to configure the Imlib image loading and rendering library.
Imlib_config can be used to control how Imlib uses color and handles
gamma corrections, etc.

If you're installing the imlib package, you should also install
imlib_cfgeditor.

%prep
%setup  -q
%patch0 -p0 -b .m4ver 
%patch1 -p1 -b .i18n
%patch2 -p1 -b .path
%patch3 -p1 -b .no-locincpth
%patch4 -p1 -b .can20040827
autoconf

# this is needed to avoid running libtoolize -- pablo
#define __libtoolize  /bin/true

%build

# imlibs seems to require it's own libs to build... <stefan>
# <hack>
#mkdir -p ${RPM_BUILD_ROOT}/usr/lib
#export LDFLAGS="-L${RPM_BUILD_ROOT}/usr/lib"
# </hack>

%configure
%make CC="gcc -DENABLE_NLS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# some hand dealing for locale
tar jxvf %{SOURCE1}
for i in po/*.po ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
  msgfmt -v -o $RPM_BUILD_ROOT%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/imlib.mo $i
done

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_libdir}/libimlib-*.so

%files cfgeditor -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/imlib_config
%{_mandir}/man1/imlib_config*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc doc/*.gif doc/*.html README AUTHORS ChangeLog
%{_bindir}/imlib-config
%{_mandir}/man1/imlib-config*
%{_libdir}/*a
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/libImlib.so
%{_libdir}/libgdk_imlib.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Oct 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.14-10mdk
- Patch4: security fix for CAN-2004-0817

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.9.14-9mdk
- fix buildrequires
- cosmetics

* Thu Jul 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.14-8mdk
- mklibname

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.14-7mdk
- Rebuild

* Fri May 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.14-6mdk
- rebuild with ta.po in UTF-8
- new translations

* Thu Sep  5 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.14-5mdk
- rebuild to include latest translations

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.14-4mdk
- Update patch3 to remove -L/usr/lib to ldflags

* Sat Jun 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.9.14-3mdk
- BuildRequires

* Mon Apr 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.14-2mdk
- Re-enable parallel build, it's fine now
- Patch3: Fix build with gcc-3.1+. Don't include known system dirs
  into include search path. That would have caused the configury to
  fail for some checks.

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.14-1mdk
- Release 1.9.14

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.13-1mdk
- Release 1.9.13
- Disable parallel compilation, it is broken

* Thu Feb 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.11-9mdk
- added various new translations

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.11-8mdk
- Remove Stefan hack, it causes bad .la files

* Wed Oct 10 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.9.11-7mdk
- rebuilt against libpng.so.3

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 1.9.11-6mdk
- add hack to allow imlib to build without itself installed
- Removed redundantBuildRequires

* Wed Aug 22 2001 dam's <damien@mandrakesoft.com> 1.9.11-5mdk
- added provides

* Thu Aug 16 2001 dam's <damien@mandrakesoft.com> 1.9.11-4mdk
- removed useless menu entry for imlib_config_editor

* Sat Aug 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.11-3mdk
- added various new translations

* Sat Aug 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.11-2mdk
- Add a list of Requires for the development package (Abel).

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.11-1mdk
- Release 1.9.11
- Regenerate patch1
- Fix menu entry

* Mon May 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-7mdk
- Force generation of configure with latest libtool
- Add libimlib-*.so back. They must stay in main package
- Add pkgconfig files

* Sat May 26 2001 Stefan van der Eijk <stefan@eijk.nu> 1.9.10-6mdk
- remove %%{_libdir}/libimlib-*.so --> typo + duplicates the line above.

* Thu Apr 12 2001 Franois Pons <fpons@mandrakesoft.com> 1.9.10-5mdk
- Add patch to take care of environment GDK_IMLIB_PATH.

* Tue Apr 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.10-4mdk
- Fix the %%postun script. Stupid typo.

* Tue Apr 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-3mdk
- Correct obsoletes for smooth upgrade

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-2mdk
- Add menu entry to cfgeditor (from gnome-core)

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-1mdk
- Release 1.9.10

* Tue Mar 27 2001 dam's <damien@mandrakesoft.com> 1.9.9-2mdk
- added require on imlib for libimlib

* Sat Feb 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.9-1mdk
- Imlib 1.9.9 is out for general consumption.
- make %%setup quiet so we don't get a whole crapload of stuff to the output.

* Thu Jan 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.8.1-10mdk
- Added new languages (Gaeilge, Azeri, Afrikaans, Japanese, Serbian, Brazilian,
  Latvian, Russian, Lituanian, Turkish)

* Fri Jan 12 2001 dam's <damien@mandrakesoft.com> 1.9.8.1-9mdk
- corrected bad version.

* Thu Dec 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.8.1-8mdk
- add provides: imlib-devel.

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 1.9.8.1-7mdk
- imlib-profiles sourced
- new lib policy

* Sat Sep 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.9.8.1-6mdk
- added gtk+-devel BuildRequires.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.9.8.1-5mdk
- rebuilt to have the correct provides.

* Mon Sep 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.8.1-4mdk
- Added new languages (Slovak, Czech, Hungarian, Esperanto, Bulgarian,
  Vietnamese and Russian) 

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.8.1-3mdk
- Correct build dependency (Thanks Pedro Rosa)
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.9.8.1-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.8.1-1mdk
- release 1.9.8.1
- BM, macroszification
- clean spec

* Tue May 02 2000 Warly <warly@mandrakesoft.com> 1.9.8-10mdk
- rebuild to have good provides

* Sat Apr 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.8-9mdk
- Added new langs: Lithuanian, Esperanto, Finnish, Slovakian, Norwegian,
  Bulgarian, Galician, Danish and Croatian

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.9.8-8mdk
- new Groups: naming
- rebuild with new gtk+/glib libs
- added German, Bulgarian, Dutch and Chinese interfaces

* Fri Feb 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 7mdk
- several new and improved translations

* Mon Jan 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Portuguese interface

* Tue Jan 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added da, ca languages

* Fri Nov 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added hu, id, it, pl, ro, uk translations

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Sane SMP build

* Sun Oct 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.9.8

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.9.7

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix bug with palettes reported by Rudi Pittman
(famewolf@georgia.army.net).

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Building release (3mdk).

* Thu Jul 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- imlib_config has i18n support; simply it isn't used (I don't knwo why);
  I just enabled it back and included the spanish translation file

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to upgrade the imlib.m4 to the proper version.
- we strip binary with our macros.
- 1.9.5 version.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Tue Apr 06 1999 Michael Fulbright <drmike@redhat.com>
- quiet imlib when initializing

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added development requirements for imlib-devel

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.9.4, moved %{_sysconfdir} to %{_sysconfdir}

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 1.9.3

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- build against gtk+ 1.1.14

* Mon Jan 25 1999 Michael Fulbright <drmike@redhat.com>
- fixed file list to include lib_imlib*.so in main pkg, not devel pkg

* Wed Jan 20 1999 Michael Fulbright <drmike@redhat.com>
- moved to version 1.9.2

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- moved to version 1.9.1, main feature - dyn loading of image
  support libs - saves memory and speeds startup of apps.

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- moved imlib-config moved to devel package
- new version of gtk+ forced us to rebuild imlib

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- up to 1.8.2 in prep for GNOME freeze

* Wed Sep 23 1998 Carsten Haitzler <raster@redhat.com>
- up to 1.8.1

* Tue Sep 22 1998 Cristian Gafton <gafton@redhat.com>
- yet another build for today (%defattr and %attr in the files lists)
- devel docs are back on the spec file

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- Added minor patch for ps saving code.

* Mon Sep 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to version 1.8

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- take out imlib_config from devel package

* Wed Sep 9 1998 Michael Fulbright <msf@redhat.com>
- upgraded to 1.7
- changed name so it will persist if user later install devel imlib
- added subpackage for imlib_config

* Fri Apr 3 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed typo

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Added -k, Obsoletes
- Integrate into CVS source tree

